# $Revision: 1.15 $, $Date: 2002/11/14 07:41:05 $
Summary:	LZO - a real-time data compression library
Summary(pl):	LZO - biblioteka kompresji danych w czasie rzeczywistym
Name:		lzo
Version:	1.08
Release:	1
Group:		Libraries
License:	GPL
Source0:	http://www.oberhumer.com/opensource/lzo/download/%{name}-%{version}.tar.gz
URL:		http://www.oberhumer.com/opensource/lzo/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZO is a portable lossless data compression library written in ANSI C.
It implements a number of algorithms with the following features:
- Decompression is simple and *very* fast.
- Requires no memory for decompression.
- Compression is pretty fast.
- Requires 64 kB of memory for compression.
- Allows you to dial up extra compression at a speed cost in the
  compressor. The speed of the decompressor is not reduced.
- Includes compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio.
- There is also a compression level which needs only 8 kB for
  compression.
- Supports overlapping compression and in-place decompression.
- Algorithm is thread safe.
- Algorithm is lossless.

%description -l pl
LZO jest przenon bibliotek do bezstratnej kompresji danych,
napisan w ANZI C. Zaimplementowano w niej kilka algorytmw uzyskujc
nastpujc funkcjonalno:
- dekompresja jest prosta i *bardzo* szybka
- dekompresja nie zuywa dodatkowej pamici
- kompresja jest cakiem szybka
- kompresja wymaga 64kB pamici
- pozwala zwikszy kompresj zmniejszajc szybko kompresji, przy
  czym szybko dekompresji pozostaje niezmieniona
- zawiera poziomy kompresji do generowania prekompresowanych danych,
  osigajce cakiem dobry stopie kompresji
- istnieje poziom kompresji wymagajcy przy kompresowaniu jedynie 8kB
  pamici
- obsuguje kompresj nakadajc i 'in-place'
- algorytm nadaje si do bezpiecznego wykorzystania w rodowisku
  wielowtkowym
- algorytm jest bezstratny

%package devel
Summary:	LZO header files
Summary(pl):	Pliki nagwkowe LZO
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for LZO.

%description devel -l pl
Pliki nagwkowe dla LZO.

%package static
Summary:	LZO static library
Summary(pl):	Statyczna biblioteka LZO
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
LZO static library.

%description static -l pl
Biblioteka statyczna LZO.

%prep
%setup -q

%build
%configure2_13 \
	--enable-shared

%{__make} CFLAGS_O=""

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS NEWS README THANKS doc/LZO.FAQ
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/LZO.FAQ doc/LZO.TXT doc/LZOAPI.TXT
%{_includedir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lzo.spec,v $
Revision 1.15  2002/11/14 07:41:05  areq
- 1.08, STBR
- update URL

Revision 1.14  2002/07/21 12:21:41  qboosh
- new %%doc, added missing pl translations; release 5

Revision 1.13  2002/04/26 10:07:05  arturs
- added Polish description

Revision 1.12  2002/02/23 03:36:25  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/12 03:08:52  kloczek
- adapterized.

Revision 1.9  2002/02/02 20:28:27  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.8  2002/02/01 14:53:20  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.7  2002/01/18 02:13:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/10/03 16:41:06  filon
- changed req for static subpkg in static subpkg (!!!) to devel
- release 4

Revision 1.5  2001/10/01 16:52:43  blues
- release 3
- configure2_13 used
- some translations

Revision 1.4  2001/01/25 11:49:33  wiget
fix requires in devel and static subpackages

Revision 1.3  2000/11/02 17:17:06  kloczek
- updated to 1.07,
- use new rpm automation.

Revision 1.2  2000/09/23 13:17:15  kloczek
- adapterized ad some cosmetics changes.

Revision 1.1  2000/09/23 12:10:48  waszi
- initial release (based on template.spec ;-))
